Bug 80662 - RTL: The update number of the java version number in Options dialog is on the wrong side
Summary: RTL: The update number of the java version number in Options dialog is on the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2014-06-29 06:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-11-05 03:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
how the java version numbers to in RTL (60.84 KB, image/png)
2014-06-29 06:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-29 06:34:39 UTC
Created attachment 101959 [details]
how the java version numbers to in RTL

When i open Tools > Options > LibreOffice > Advanced in the arabic UI, java versions look like this '51_1.7.0', while in the english UI it looks like '1.7.0_51'. I think the easiest solution is to convert '_' to '-'.
Comment 1 Firas Hanife 2014-06-30 13:25:56 UTC
Confirming here on openSUSE 13.1 with 4.3.0.1
Comment 2 QA Administrators 2015-10-14 19:56:11 UTC Comment hidden (obsolete)
Comment 3 Yousuf Philips (jay) (retired) 2017-10-02 09:35:43 UTC
Still present.

Version: 5.4.3.0.0+
Build ID: fb64cf127dc6398f5d18d186a93966837db0bb1e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-09-27_12:54:32
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 Omer Zak 2017-11-04 20:26:46 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)

I tested using Hebrew UI.
Comment 5 QA Administrators 2018-11-05 03:43:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug